  

:root {
  --m-price-color : var(--miam-price-color,green) ;
}
#miam-drawer-overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: var(--m-color-black);
  opacity: 0.7;
  z-index: var(--m-z-index-drawer-overlay)
}

#miam-drawer-stamp {
  position: fixed;
  top: 250px;
  right: -29px;
  padding: 6px 16px;
  transform: rotate(-90deg);
  background-color: var(--m-color-primary);
  box-shadow: -1px -1px 10px -3px #333333;
  border-top-left-radius: var(--m-border-radius);
  border-top-right-radius: var(--m-border-radius);
  border: 1px solid var(--m-color-primary);
  transition: background linear 66ms, right 0.5s;
  cursor: pointer;
  z-index: var(--m-z-index-drawer-container);

  &.expand {
    right: 771px;
  }

  &:hover {
    background: var(--m-color-primary-dark);
  }

  .miam-logo {
    width: 65px;

    &.jiggle {
      animation: jiggle ease-in-out 250ms infinite;
    }
  }

  .recipes-count {
    position: absolute;
    right: -12px;
    bottom: 25px;
    transform: rotate(90deg);
    background-color: var(--m-color-secondary);
    height: 23px;
    width: 23px;
    border-radius: var(--m-border-radius-circle);
    color:  #fff;
    font-weight: bold;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: -1px -1px 10px -3px #333;
    border: solid 1px var(--m-color-secondary-dark)
  }
}

#miam-drawer {
  position: fixed;
  top: 0;
  right: -800px;
  height: 100%;
  width: 800px;
  background-color:  #fff;
  transition: right 0.5s;
  border-left: solid 4px var(--m-color-primary);
  z-index: var(--m-z-index-drawer-container);

  &.expand {
    right: 0;
  }

  .top {
    padding: 10px 15px;
    box-shadow: 0px 1px 10px -5px var(--m-color-grey-text);
    align-items: center;

    .miam-logo {
      width: 120px;
    }

    .miam-slogan {
      margin-left: 70px;
      font-size: 20px;
      font-style: italic;
    }
  }

  .body-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: calc(100% - 70px);
  }

  .body {
    padding: 0px 15px;
    overflow: auto;
  }

  .bottom {
    padding: 20px;
    background-color:  #fff;
    box-shadow: 0px -1px 10px -5px var(--m-color-grey-text);
    z-index: var(--m-z-index-position-absolute-height);
    display: flex;
    justify-content: space-between;
    align-items: flex-end;

    .total {
      flex-grow: 1;
      text-align: left;

      .total-subline {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        margin: 0;
        margin-top: 5px;

        .price {
          font-weight: bold;
          color:var(--price-color);
        }
      }
    }
    
    .order-button {
      margin-left: 40px;
      width: 277px;
      height: 44px;

      ng-miam-loader {
        .loader {
          width: 30px;
          height: 30px;
        }
      }
    }
  }
}